#include <cstdio>

typedef long long ll;

ll gcd(ll a, ll b, ll &x, ll &y)
{
 ll lx, ly, d, q;
 if (b == 0)
 {
  x = 1;
  y = 0;
  return a;
 }
 d = gcd(b, a % b, lx, ly);
 q = a / b;
 x = ly;
 y = lx - q * ly;
 return d;
}

int main()
{
 freopen("inverse.in", "r", stdin);
 freopen("inverse.out", "w", stdout);
 ll n, p, d, x, y;
 scanf("%I64d%I64d", &n, &p);
 d = gcd(p, n, x, y);
 if (d != 1)
  printf("-1\n");
 else
 {
  while (x < 0)
   x += n;
  printf("%I64d\n", x);
 }
 return 0;
}
