program CInverse;

{$APPTYPE CONSOLE}
{$O+,Q-,R-}

uses
  SysUtils;

var
  N, P:Longint;
  AP, APA, Q, QA, T:Longint;
begin
Assign (input, 'inverse.in');
ReSet (input);
Readln (N, P);
Close (input);

If P = 0 Then Begin
  Assign (output, 'inverse.out');
  ReWrite (output);
  Writeln (output, -1);
  Close (output);
  Halt;
End;

Q := (N - P + 1) Div P; AP := 1;
T := (N - P + 1) Mod P;
If T > 0 Then Begin
  Q := Q + 1;
  AP := AP + T;
End;

While (AP <> 1) And (Q < N) Do Begin
  QA := (N - AP + 1); APA := 1;
  T := (N - AP + 1) Mod P;
  If T > 0 Then Begin
    QA := QA + 1;
    APA := APA + T;
  End;
  Q := Q + QA;
  AP := AP + APA;
End;

Assign (output, 'inverse.out');
ReWrite (output);
If AP = 1 Then
  Writeln (output, Q)
Else
  Writeln (output, -1);
Close (output);
end.
