#include <stdio.h>
#include <stdlib.h>
#include <string.h> 
#include <mem.h>
#define task "simple"
#define base 2
#define MaxLen 100000

struct bignum 
{
	short int num[MaxLen];
	int len;
};

bignum a, b, c;

void read_bignum(bignum &x);
void sum(bignum &x, bignum &y, bignum &z);

int main()
{
	int i;
	freopen(task ".in", "rt", stdin);
	freopen(task ".out", "wt", stdout);
	read_bignum(a);
	read_bignum(b);
	sum(a, b, c);
	for (i = c.len - 1; i >= 0; i --)
		printf("%d", c.num[i]);
	printf("\n");
	return 0;
}

void read_bignum(bignum &x)
{
	int i;
	char str[MaxLen];
	memset(x.num, 0, sizeof(x.num));
	scanf("%s", &str);
	x.len = strlen(str);
	for (i = 0; i < x.len; i ++)
		if (str[i] == '1')
			x.num[x.len - i - 1] = 1;
}

void sum(bignum &x, bignum &y, bignum &z)
{
	int i, curr, r = 0;
	memset(z.num, 0, sizeof(z.num));
	z.len = ((x.len > y.len) ? x.len : y.len) + 1;
	for (i = 0; i < z.len ; i++)
	{
		curr = (i < x.len) * x.num[i]  +
			(i < y.len) * y.num[i] + r;
		z.num[i] = curr % base;
		r = curr / base;
	}
	if (z.num[z.len - 1] == 0)
		z.len --;
}