#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "simple"

const int MaxN = 100005;

int a [MaxN], b [MaxN];
char s [MaxN];

int main (void)
{
 int i, j, k;

 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 memset (a, 0, sizeof (a));
 scanf (" %s", s);
 for (i = 0; s[i]; i++)
  a[i] = s[i] - '0';
 i--; j = 0;
 while (j < i)
 {
  k = a[i]; a[i] = a[j]; a[j] = k;
  i--; j++;
 }
 memset (b, 0, sizeof (b));
 scanf (" %s", s);
 for (i = 0; s[i]; i++)
  b[i] = s[i] - '0';
 i--; j = 0;
 while (j < i)
 {
  k = b[i]; b[i] = b[j]; b[j] = k;
  i--; j++;
 }

 k = 0;
 for (i = 0; i < MaxN; i++)
 {
  k += a[i] + b[i];
  a[i] = k & 1;
  k >>= 1;
 }
 assert (k == 0);

 for (i = MaxN - 1; i > 0; i--)
  if (a[i]) break;
 for ( ; i >= 0; i--)
  printf ("%d", a[i]);
 printf ("\n");
 return 0;
}
