#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "inverse"

int main (void)
{
 int i, j, m, n, p, q;
 int phi;

 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 scanf (" %d %d", &n, &p);
 m = n;
 phi = 1;
 for (i = 2; i * i <= m; i++)
  if (!(m % i))
  {
   phi *= i - 1;
   m /= i;
   while (!(m % i))
   {
    phi *= i;
    m /= i;
   }
  }
 if (m > 1) phi *= m - 1;

 phi--;
 long long cur, res, mod;
 cur = p;
 res = 1;
 mod = n;
 for (j = 0; j < 30; j++)
 {
  if ((phi >> j) & 1)
   res = (res * cur) % mod;
  cur = (cur * cur) % mod;
 }

 if ((res * p) % mod == 1) q = int (res);
 else q = -1;
 printf ("%d\n", q);
 return 0;
}
