#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "simple"

const int MaxN = 100005;

int a [MaxN], b [MaxN], c [MaxN], d [MaxN];
char s [MaxN];

bool zero (int * a)
{
 int i;
 for (i = 0; i < MaxN; i++)
  if (a[i])
   break;
 return (i == MaxN);
}

void out (int * a)
{
 int i;
 for (i = MaxN - 1; i > 0; i--)
  if (a[i]) break;
 for ( ; i >= 0; i--)
  printf ("%d", a[i]);
 printf ("\n");
}

int main (void)
{
 int i, j, k;

 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 memset (a, 0, sizeof (a));
 scanf (" %s", s);
 for (i = 0; s[i]; i++)
  a[i] = s[i] - '0';
 i--; j = 0;
 while (j < i)
 {
  k = a[i]; a[i] = a[j]; a[j] = k;
  i--; j++;
 }
 memset (b, 0, sizeof (b));
 scanf (" %s", s);
 for (i = 0; s[i]; i++)
  b[i] = s[i] - '0';
 i--; j = 0;
 while (j < i)
 {
  k = b[i]; b[i] = b[j]; b[j] = k;
  i--; j++;
 }

 do
 {
  for (i = 0; i < MaxN; i++)
   c[i] = a[i] ^ b[i];
  for (i = 0; i < MaxN; i++)
   d[i] = a[i] & b[i];
  for (i = 0; i < MaxN; i++)
   a[i] = c[i];
  b[0] = 0;
  for (i = 1; i < MaxN; i++)
   b[i] = d[i - 1];
  assert (d[MaxN - 1] == 0);
 }
 while (!zero (a) && !zero (b));
 if (zero (a)) out (b);
          else out (a);
 return 0;
}
