program AXo;

{$APPTYPE CONSOLE}
{$O+,Q-,R-}

uses
  SysUtils;

procedure PrintAnswer(A:String);
begin
Assign (output, 'xo.out');
ReWrite (output);
Writeln (output, A);
Close (output);
Halt;
end;

type Field = Array[1..3, 1..3] Of Byte;

function IsWX(F:Field):Boolean;
begin
If (F[1, 1] = 1) And
   (F[1, 2] = 1) And
   (F[1, 3] = 1) Then Begin IsWX := True; Exit; End;
If (F[2, 1] = 1) And
   (F[2, 2] = 1) And
   (F[2, 3] = 1) Then Begin IsWX := True; Exit; End;
If (F[3, 1] = 1) And
   (F[3, 2] = 1) And
   (F[3, 3] = 1) Then Begin IsWX := True; Exit; End;
If (F[1, 1] = 1) And
   (F[2, 1] = 1) And
   (F[3, 1] = 1) Then Begin IsWX := True; Exit; End;
If (F[1, 2] = 1) And
   (F[2, 2] = 1) And
   (F[3, 2] = 1) Then Begin IsWX := True; Exit; End;
If (F[1, 3] = 1) And
   (F[2, 3] = 1) And
   (F[3, 3] = 1) Then Begin IsWX := True; Exit; End;
If (F[1, 1] = 1) And
   (F[2, 2] = 1) And
   (F[3, 3] = 1) Then Begin IsWX := True; Exit; End;
If (F[1, 3] = 1) And
   (F[2, 2] = 1) And
   (F[3, 1] = 1) Then Begin IsWX := True; Exit; End;
IsWX := False;
end;

function IsWO(F:Field):Boolean;
begin
If (F[1, 1] = 2) And
   (F[1, 2] = 2) And
   (F[1, 3] = 2) Then Begin IsWO := True; Exit; End;
If (F[2, 1] = 2) And
   (F[2, 2] = 2) And
   (F[2, 3] = 2) Then Begin IsWO := True; Exit; End;
If (F[3, 1] = 2) And
   (F[3, 2] = 2) And
   (F[3, 3] = 2) Then Begin IsWO := True; Exit; End;
If (F[1, 1] = 2) And
   (F[2, 1] = 2) And
   (F[3, 1] = 2) Then Begin IsWO := True; Exit; End;
If (F[1, 2] = 2) And
   (F[2, 2] = 2) And
   (F[3, 2] = 2) Then Begin IsWO := True; Exit; End;
If (F[1, 3] = 2) And
   (F[2, 3] = 2) And
   (F[3, 3] = 2) Then Begin IsWO := True; Exit; End;
If (F[1, 1] = 2) And
   (F[2, 2] = 2) And
   (F[3, 3] = 2) Then Begin IsWO := True; Exit; End;
If (F[1, 3] = 2) And
   (F[2, 2] = 2) And
   (F[3, 1] = 2) Then Begin IsWO := True; Exit; End;
IsWO := False;
end;

function Task(F:Field; CX, CO:Byte):Byte;
var W:Array[1..3, 1..3] Of Byte;
    X, Y:Longint;
    CW:Boolean;
begin
If IsWX(F) Then Begin Task := 1; Exit; End;
If IsWO(F) Then Begin Task := 2; Exit; End;
If CX + Co = 9 Then Begin Task := 0; Exit; End;

If CX = CO Then Begin
  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      W[Y, X] := 2;

  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      If F[Y, X] = 0 Then Begin
        F[Y, X] := 1;
        W[Y, X] := Task(F, CX + 1, CO);
        F[Y, X] := 0;
      End;

  CW := False;
  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      If W[Y, X] = 1 Then CW := True;

  If CW Then Begin
    Task := 1;
  End Else Begin
    CW := False;
    For Y := 1 To 3 Do
      For X := 1 To 3 Do
        If W[Y, X] = 0 Then CW := True;
    If CW Then
      Task := 0
    Else
      Task := 2;
  End;
End Else Begin
  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      W[Y, X] := 1;

  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      If F[Y, X] = 0 Then Begin
        F[Y, X] := 2;
        W[Y, X] := Task(F, CX, CO + 1);
        F[Y, X] := 0;
      End;

  CW := False;
  For Y := 1 To 3 Do
    For X := 1 To 3 Do
      If W[Y, X] = 2 Then CW := True;

  If CW Then Begin
    Task := 2;
  End Else Begin
    CW := False;
    For Y := 1 To 3 Do
      For X := 1 To 3 Do
        If W[Y, X] = 0 Then CW := True;
    If CW Then
      Task := 0
    Else
      Task := 1;
  End;
End;
end;

var
  F:Field;
  WX, WO:Boolean;
  CX, CO:Byte;
  Ch:Char;
begin
Assign (input, 'xo.in');
ReSet (input);
Read (input, Ch); Case Ch Of '.':F[1, 1] := 0; 'X':F[1, 1] := 1; 'O':F[1, 1] := 2; End;
Read (input, Ch); Case Ch Of '.':F[1, 2] := 0; 'X':F[1, 2] := 1; 'O':F[1, 2] := 2; End;
Read (input, Ch); Case Ch Of '.':F[1, 3] := 0; 'X':F[1, 3] := 1; 'O':F[1, 3] := 2; End;
Read (input, Ch); Read (input, Ch);
Read (input, Ch); Case Ch Of '.':F[2, 1] := 0; 'X':F[2, 1] := 1; 'O':F[2, 1] := 2; End;
Read (input, Ch); Case Ch Of '.':F[2, 2] := 0; 'X':F[2, 2] := 1; 'O':F[2, 2] := 2; End;
Read (input, Ch); Case Ch Of '.':F[2, 3] := 0; 'X':F[2, 3] := 1; 'O':F[2, 3] := 2; End;
Read (input, Ch); Read (input, Ch);
Read (input, Ch); Case Ch Of '.':F[3, 1] := 0; 'X':F[3, 1] := 1; 'O':F[3, 1] := 2; End;
Read (input, Ch); Case Ch Of '.':F[3, 2] := 0; 'X':F[3, 2] := 1; 'O':F[3, 2] := 2; End;
Read (input, Ch); Case Ch Of '.':F[3, 3] := 0; 'X':F[3, 3] := 1; 'O':F[3, 3] := 2; End;
Close (input);

CX := 0;
If F[1, 1] = 1 Then Inc (CX, 1);
If F[1, 2] = 1 Then Inc (CX, 1);
If F[1, 3] = 1 Then Inc (CX, 1);
If F[2, 1] = 1 Then Inc (CX, 1);
If F[2, 2] = 1 Then Inc (CX, 1);
If F[2, 3] = 1 Then Inc (CX, 1);
If F[3, 1] = 1 Then Inc (CX, 1);
If F[3, 2] = 1 Then Inc (CX, 1);
If F[3, 3] = 1 Then Inc (CX, 1);

CO := 0;
If F[1, 1] = 2 Then Inc (CO, 1);
If F[1, 2] = 2 Then Inc (CO, 1);
If F[1, 3] = 2 Then Inc (CO, 1);
If F[2, 1] = 2 Then Inc (CO, 1);
If F[2, 2] = 2 Then Inc (CO, 1);
If F[2, 3] = 2 Then Inc (CO, 1);
If F[3, 1] = 2 Then Inc (CO, 1);
If F[3, 2] = 2 Then Inc (CO, 1);
If F[3, 3] = 2 Then Inc (CO, 1);

If Not ((CX = CO) Or (CX = CO + 1)) Then PrintAnswer ('Impossible');

WX := IsWX(F); WO := IsWO(F);
If WX And WO Then PrintAnswer ('Impossible');
If WX And (Not WO) Then PrintAnswer ('X');
If (Not WX) And WO Then PrintAnswer ('O');
If (Not WX) And (Not WO) And (CX + CO = 9) Then PrintAnswer ('Draw');

Case Task(F, CX, CO) Of
0:PrintAnswer ('Draw');
1:PrintAnswer ('X');
2:PrintAnswer ('O');
End;
end.
