#include <stdio.h>
#define task "xo"
#define size 3

int x, o;
char f[size][size];

bool now_win(char who);
int let_play(char who);
int count(char who)
{
	int i, j, counter = 0;
	for (i = 0; i < size; i ++)
		for (j = 0; j < size; j ++)
			if (f[i][j] == who)
				counter ++;
	return counter;
};
char another(char who)
{
	return (who == 'X') ? 'O' : 'X';
};
int max(int a, int b)
{
	return (a > b) ? a : b;
};


int main()
{
	int i, j;
	int answer;
	char who_start;
	freopen(task ".in", "rt", stdin);
	freopen(task ".out", "wt", stdout);
	
	x = 0; o = 0;
	for (i = 0; i <size; i ++)
	{
		for (j = 0; j < size; j ++)
		{
			scanf("%c", &f[i][j]);
			if (f[i][j] == 'X') x ++;
			if (f[i][j] == 'O') o ++;
		}
		scanf("\n");
	}
	if ((now_win('X') && now_win('O')) || (x - o > 1) || (x - o < 0))
	{
		printf("Impossible\n");
		return 0;
	}
	if (now_win('X'))
	{
		printf("X\n");
		return 0;
	}
	if (now_win('O'))
	{
		printf("O\n");
		return 0;
	}
	if (x + o == size * size)
	{
		printf("Draw\n");
		return 0;
	}

	if (x - o == 0)
		who_start = 'X';
	else
		who_start = 'O';
	answer = let_play(who_start);
	if (answer == 1)
		printf("%c\n", who_start);
	else
	{
		if (answer == -1)
			printf("%c\n", another(who_start));
		else
			printf("Draw\n");
	}
	return 0;
}

bool now_win(char who)
{
	int i, j;
	bool answer1, answer2;
	for (i = 0; i < size; i ++)
	{
		answer1 = true; answer2 = true; 
		for (j = 0; j < size; j ++)
			if (f[i][j] != who)	
				answer1 = false;
		for (j = 0; j < size; j ++)
			if (f[j][i] != who)
				answer2 = false;
		if (answer1 || answer2)
			return true;
	}

	answer1 = true; answer2 = true;
	for (i = 0; i < size; i ++)
	{
		if (f[i][i] != who)
			answer1 = false;
		if (f[i][size - i - 1] != who)
			answer2 = false;
	}
	if (answer1 || answer2)
		return true;
		
	return false;
}

int let_play(char who)
{
	if (now_win(who))
		return 1;
	if (now_win(another(who)))
		return -1;
	if (count('X') + count('O') == size * size)
		return 0;
	int i, j;
	int answer = -1;
	for (i = 0; i < size; i ++)
	{
		for (j = 0; j < size; j ++)
		{
			if (f[i][j] == '.')
			{
				f[i][j] = who;
				answer = max(answer, -let_play(another(who)));
				f[i][j] = '.';
			}
		}
	}
	return answer;
}